oshi.software.os.windows.nt

## Class CentralProcessor

- java.lang.Object
- - oshi.software.os.windows.nt.CentralProcessor

- All Implemented Interfaces:
    Processor

      public class CentralProcessor
      extends java.lang.Object
      implements Processor

  A CPU as defined in Windows registry.
  Author:
    dblock[at]dblock[dot]org

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CentralProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIdentifier()` Identifier, eg.
    `java.lang.String` | `getName()` Name, eg.
    `java.lang.String` | `getVendor()` Vendor identifier, eg.
    `void` | `setIdentifier(java.lang.String identifier)` Set processor identifier.
    `void` | `setName(java.lang.String name)` Set processor name.
    `void` | `setVendor(java.lang.String vendor)` Set processor vendor.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CentralProcessor

          public CentralProcessor()

  - ### Method Detail

    - #### getVendor

          public java.lang.String getVendor()

      Vendor identifier, eg. GenuineIntel.
      Specified by:
        `getVendor` in interface `Processor`
      Returns:
        Processor vendor.

    - #### setVendor

          public void setVendor(java.lang.String vendor)

      Set processor vendor.
      Parameters:
        `vendor` - Vendor.

    - #### getName

          public java.lang.String getName()

      Name, eg. Intel(R) Core(TM)2 Duo CPU T7300 @ 2.00GHz
      Returns:
        Processor name.

    - #### setName

          public void setName(java.lang.String name)

      Set processor name.
      Parameters:
        `name` - Name.

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Identifier, eg. x86 Family 6 Model 15 Stepping 10.
      Returns:
        Processor identifier.

    - #### setIdentifier

          public void setIdentifier(java.lang.String identifier)

      Set processor identifier.
      Parameters:
        `identifier` - Identifier.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`